/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer.jxmap.map;

import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.LayoutManager;

/**
 * Layout manager which attempts to use the entire available area from the parent.
 * 
 * @author Timon Veenstra
 */
public class FillLayout implements LayoutManager {

    @Override
    public void addLayoutComponent(final String name, final Component comp) {
    }

    @Override
    public void layoutContainer(final Container parent) {
        for (final Component component : parent.getComponents()) {
            component.setBounds(0, 0, parent.getSize().width, parent.getSize().height);
        }
    }

    @Override
    public Dimension minimumLayoutSize(final Container parent) {
        return new Dimension();
    }

    @Override
    public Dimension preferredLayoutSize(final Container parent) {
        return parent.getSize();
    }

    @Override
    public void removeLayoutComponent(final Component comp) {
    }

}
