/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer.jxmap.map;

import java.util.ArrayList;
import java.util.List;
import nl.cloudfarming.client.geoviewer.Layer;
import nl.cloudfarming.client.geoviewer.Geographical;
import org.openide.nodes.FilterNode;
import org.openide.nodes.Node;

/**
 *
 * @author Timon Veenstra
 */
public class FilterMapDataChildren extends FilterNode.Children{

    public FilterMapDataChildren(Node or) {
        super(or);
    }
    
    @Override
    protected Node[] createNodes(Node object) {
        List<Node> result = new ArrayList<Node>();
        for (Node node : super.createNodes(object)) {
            if (accept(node)) {
                result.add(new FilterNode(node, new FilterMapDataChildren(node)));
            }
        }
        return result.toArray(new Node[0]);
    }

    /**
     * only accept child nodes which have a Geographical or Layer in their lookup
     * @param node
     * @return 
     */
    private boolean accept(Node node) {
        if  (node.getLookup().lookup(Geographical.class)!=null){
            return true;
        }
        if (node.getLookup().lookup(Layer.class)!=null){
            return true;
        }
        return false;
    }    
    
}
