/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package nl.cloudfarming.client.geoviewer.jxmap.map.cache.options;

import nl.cloudfarming.client.geoviewer.jxmap.map.cache.spi.CacheCleaner;
import org.openide.util.NbPreferences;

/**
 * 
 * @author Frantisek Post
 */
public enum OfflineCachePreferences {

    CACHE_LIMIT("cacheLimit", CacheCleaner.UNLIMITED_SIZE); //default is unlimited cache
    
    private String propertyName;
    private long defaultProperty;
    
    private OfflineCachePreferences(String propertyName, long defaultProperty) {
        this.propertyName = propertyName;
        this.defaultProperty = defaultProperty;
    }
    
    public void saveValue(long value) {
        NbPreferences.forModule(this.getClass()).putLong(this.getPropertyName(), value);
    }
    
    public long getValue() {
        return NbPreferences.forModule(this.getClass()).getLong(this.getPropertyName(), this.getDefaultProperty());
    }

    public String getPropertyName() {
        return propertyName;
    }

    public long getDefaultProperty() {
        return defaultProperty;
    }
    
}
